contrib/exec-smartctl: Added a sample exec script which parses the hdd temperature...
authorFlorian Forster <octo@huhu.verplant.org>
Sat, 13 Oct 2007 15:14:54 +0000 (17:14 +0200)
committerFlorian Forster <octo@huhu.verplant.org>
Sat, 13 Oct 2007 15:14:54 +0000 (17:14 +0200)
contrib/exec-smartctl [new file with mode: 0755]

diff --git a/contrib/exec-smartctl b/contrib/exec-smartctl
new file mode 100755 (executable)
index 0000000..a5d8b13
--- /dev/null
@@ -0,0 +1,29 @@
+#!/bin/bash
+
+INTERVAL=60
+
+while true
+do
+       TEMP=$((sudo smartctl -d 3ware,0 -A /dev/twe0 | grep Temperature_Celsius | awk '{ print $10; }') 2>/dev/null);
+       if [ $? -ne 0 ]
+       then
+               TEMP="U"
+       fi
+       echo "huhu/exec-smart/temperature-3ware_0 interval=$INTERVAL N:$TEMP"
+
+       TEMP=$((sudo smartctl -d 3ware,1 -A /dev/twe0 | grep Temperature_Celsius | awk '{ print $10; }') 2>/dev/null);
+       if [ $? -ne 0 ]
+       then
+               TEMP="U"
+       fi
+       echo "huhu/exec-smart/temperature-3ware_1 interval=$INTERVAL N:$TEMP"
+
+       TEMP=$((sudo smartctl -d ata -A /dev/sda | grep Temperature_Celsius | awk '{ print $10; }') 2>/dev/null);
+       if [ $? -ne 0 ]
+       then
+               TEMP="U"
+       fi
+       echo "huhu/exec-smart/temperature-sata_0 interval=$INTERVAL N:$TEMP"
+
+       sleep $INTERVAL
+done